#6 authentication parameter

closed-fixed
7
2007-01-10
2006-10-09
Mathieu Bertrand
No

Description: Opened: 2006-02-23 22:40

We need to see whether or not we need to add new
arguments to the application
for authentication.
We could try to avoid that but I am not sure how the
authentication caching
works.

------- Comment #1 From Jean-Philippe Daigle 2006-02-27
21:00:15 -------

Authentication credentials are kept by the subversion
client, in the invoking
user's home directory (~/.subversion/auth). Required
credentials should be
supplied by the user when he/she checks out the source.

Future: it would indeed be nice to have an option OR to
pipe the svn password
prompt back out to the user.

------- Comment #2 From Jason Kealey 2006-02-27
21:22:15 -------

add an option.

------- Comment #3 From Jason Kealey 2006-02-27
22:18:54 -------

We might need to add --non-interactive as well too all
our invocations as well

------- Comment #4 From Jean-Philippe Daigle 2006-02-28
14:55:48 -------

I agree for the --non-interactive.

As for username/password, statcvs has no such option,
but svn itself has the
"--username", "--password" command-line options, so I'm
willing to consider
extending statsvn's command-line options to support this.

------- Comment #5 From Jason Kealey 2006-03-02
21:02:55 -------

I agree. Note that I just ran the application on a
server that requires auth
for read. Application froze. :)

------- Comment #6 From Jean-Philippe Daigle 2006-03-24
09:51:03 -------

Implemented, but keeping bug as "assigned" until I get
a chance to test it this
weekend.

------- Comment #7 From Jean-Philippe Daigle 2006-04-04
10:01:41 -------

By "this weekend" I mean "this quarter". And by "this
quarter" I mean Q2 2006.

------- Comment #8 From Jason Kealey 2006-04-13
00:06:41 -------

are you using --no-auth-cache ?

Discussion

    • assigned_to: nobody --> jpdaigle
     
  • Jason Kealey
    Jason Kealey
    2007-01-10

    • status: open --> open-fixed
     
  • Jason Kealey
    Jason Kealey
    2007-01-10

    Logged In: YES
    user_id=1498924
    Originator: NO

    Closing bug. We're caching the l/p, and no one has complained.

     
  • Jason Kealey
    Jason Kealey
    2007-01-10

    • status: open-fixed --> closed-fixed